Subject: Re: bug#76242: [PATCH] Clarify that mapconcat's FUNCTION can return nil

From: Michael Heerdegen <[email-masked]>
Date: Thu, 13 Feb 2025 02:27:52 +0100

Hong Xu via "Bug reports for GNU Emacs, the Swiss army knife of text
editors" <[email-masked]> writes:

> -FUNCTION must be a function of one argument, and must return a value
> -  that is a sequence of characters: either a string, or a vector or
> -  list of numbers that are valid character codepoints.  */)
> + FUNCTION must be a function of one argument, and must return either:
> +
> +   nil, which is treated as an empty string, or
> +   a value that is a sequence of characters, which is either a string,
> +   or a vector or list of numbers that are valid character codepoints. */)

I don't understand the rationale.  Isn't nil just one case of an empty
sequence of characters?  Why describe it specially?

Michael.